🧠 Score Profiles indexed in Sources for a JobAsk AIget https://api.hrflow.ai/v1/profiles/scoringThis endpoint allows you to Score Profiles for Job.Query Paramsalgorithm_keystringrequiredThe key of the Scoring Algorithm.use_algorithmstringDefaults to 1Turn 0 to switch the Scoring to the Searching only mode.job_keystringThe Job's unique identifier.job_referencestringThe Job reference chosen by the customer.board_keystringrequiredThe key of Board attached to the given Job.source_keysstringrequiredThe list of the keys of the Sources containing the targeted Profiles. Example : ["xxx", "yyy", "zzz"]exclude_profile_keysstringExclude Profiles according to the list of Profile keys. Example : ["xxx", "yyy", "zzz"]stagestringenumFilter Profiles by their stage: new, yes , later, no. If not provided the results will includes all stage values.newyeslaternoAllowed:newyeslaternopagestringDefaults to 1The number of the current results' page.limitstringDefaults to 30The number of results per pageorder_bystringenumDefaults to descOrder results by asc, or desc.ascdescAllowed:ascdescsort_bystringenumSort results by searching, scoring, created_at, updated_at, location, location_experience, location_education.searchingscoringcreated_atupdated_atlocationlocation_experiencelocation_educationAllowed:searchingscoringcreated_atupdated_atlocationlocation_experiencelocation_educationcreated_at_minstringSet a minimum creation date.created_at_maxstringSet a maximum creation date.namestringFilter Profiles by their name.emailstringFilter Profiles by their email.location_geopointobjectFilter Profiles by their location address. {"lat":47.21812, "lng":-1.55306}location_geopoint objectlocation_distanceint32Set a radius around the Profiles' location address (in Km).summary_keywordsstringFilter Profiles by keywords in their summary section. Example : ["xxx", "yyy", "zzz"]text_keywordsstringFilter Profiles by keywords in the full text. Example : ["xxx", "yyy", "zzz"]enrich_text_keywordsbooleanDefaults to falseIf enabled, this feature enriches the search by including synonyms of the keywords specified in text_keywords, broadening the search results.truefalseexperience_keywordsstringFilter Profiles by keywords in their experiences' titles and descriptions. Example : ["xxx", "yyy", "zzz"]experience_location_geopointstringFilter Profiles by their experiences' locations. Example : {"lat":47.21812, "lon":-1.55306}experience_location_distanceint32Set a radius around the educations' locations (in Km)experiences_duration_minint32Set a minimum number of years of experience.experiences_duration_maxint32Set a maximum number of years of experience.education_keywordsstringFilter Profiles by keywords in their educations' titles and descriptions. Example : ["xxx", "yyy", "zzz"]education_location_geopointstringFilter Profiles by their educations locations. Example : {"lat":47.21812, "lon":-1.55306}education_location_distanceint32Set a radius around the educations' locations (in Km).educations_duration_minint32Set a minimum number of years of education.educations_duration_maxint32Set a maximum number of years of education.skillsstringFilter results by a list of skills names and their values. Example : [{"name":"python", "value":null}]languagesstringFilter results by a list of languages names and their values. Example : [{"name":"english", "value":null}]interestsstringFilter results by a list of interest names and their values. Example : [{"name":"sport", "value":null}]tags_includedstringFilter results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"1"}]]tags_excludedstringExclude results containing certain tag names and their values. Shape of this field [ [... OR ...] AND [... OR ...] ]. Example : [[{"name":"sync","value":"0"}]]Responses 200200 400400Updated about 1 month ago What’s NextTry this endpoint in Postman